Subject: Re: bug#31603: 27.0.50; pinentry loopback disappeared

From: Noam Postavsky <[email-masked]>
Date: Sun, 27 May 2018 14:21:36 -0400

tags 31603 fixed
close 31603 27.1
quit

[email-masked] writes:

> (The variable name is epa-pinentry-mode, not epa-loopback-mode.)

Oops, that's what I get for typing from memory instead of copying
straight from the working example.

> I confirm setting (setq epg-pinentry-mode 'loopback) in .emacs init file
> solves the problem (I get again the minibuffer prompt).
>
> The <contovob <at> tcd.ie> proposed patch leads to minibuffer passphrase
> prompts, even with only the old (now obsoleted) variable (setq
> epa-pinentry-mode 'loopback) present in the .emacs init file. In other
> words, with this patch, users do not have to change the configuration
> right away.

Thanks for testing, I've pushed to master.

[1: 584f05cb11]: 2018-05-27 14:14:35 -0400
  Place epg-pinentry-mode varalias before defcustom
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=584f05cb11a8010f31beaf07c9ef4180b70d1d66